Subject: Re: MIME encapsulation of multipart responses

From: John Stracke <[email-masked]>
Date: Mon, 09 Sep 2002 10:50:41 -0400

[email-masked] wrote:

> > (This'd be something to test for at CalConnect, BTW; I know I've 
> written
> > at least one parser that assumed there was only one iCalendar object 
> per
> > text/calendar, and I bet I'm not the only one.)
>
> Hopefully the next one will be better then.  Im sure you are not alone 
> given the sheer size of the RFCs but hopefully folks can change their 
> engines to at least accomodate the data. 

Oh, I'm sure--it's more a question of what's already been released.

-- 
/==============================================================\
|John Stracke      [email-masked]                     |
|Principal Engineer|http://www.centivinc.com                   |
|Centiv            |My opinions are my own.                    |
|==============================================================|
|But how do we know destroying the Van Allen belt will kill all|
|life on Earth if we don't try it?                             |
\==============================================================/

---

From: [email-masked]
Date: Mon, 9 Sep 2002 10:50:22 -0400

John wrote:
> >>4.4 iCalendar Object
> >>
> >>  The Calendaring and Scheduling Core Object is a collection of
> >>  calendaring and scheduling information. Typically, this information
> >>  will consist of a single iCalendar object. However, multiple
> >>  iCalendar objects can be sequentially grouped together.
> >>
> Ah, bleep.  I knew I should've checked the spec.

Thanks Doug for noting this sooner than I could.  Ive been more than a 
little distracted w/our endgame and trying to juggle in CalConnect 3.

> (This'd be something to test for at CalConnect, BTW; I know I've written 

> at least one parser that assumed there was only one iCalendar object per 

Since this is not a MUST/SHOULD/MAY/etc in the RFC (its just there) its 
not something that would normally be tested at a CalConnect (but perhaps 
we can try in the future).

Bruce
===========================================================================
Bruce Kahn                                INet: 
[email-masked]
Messaging & Collaboration                 Phone: 978.399.6496
IBM Software Group                         FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...